package net.wanji.utc.service.systemadmin.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import net.wanji.utc.mapper.ManufacturerInfoMapper;
import net.wanji.utc.po.ManufacturerInfoPO;
import net.wanji.utc.service.systemadmin.ManufacturerService;
import net.wanji.utc.vo.systemadmin.ManufacturerListInVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/24 8:50
 */
@Service
public class ManufacturerServiceImpl implements ManufacturerService {
    @Autowired
    ManufacturerInfoMapper manufacturerInfoMapper;

    @Override
    public PageInfo<ManufacturerInfoPO> list(ManufacturerListInVO manufacturerListInVO) {
        Integer pageNum = manufacturerListInVO.getPageNum();
        Integer pageSize = manufacturerListInVO.getPageSize();
        String name = manufacturerListInVO.getName();

        PageHelper.startPage(pageNum, pageSize);
        List<ManufacturerInfoPO> manufacturerInfoPOList = manufacturerInfoMapper.selectByOptionalName(name);
        PageInfo<ManufacturerInfoPO> borrowPOPageInfo = new PageInfo<>(manufacturerInfoPOList);

        return borrowPOPageInfo;
    }
}
